Package io.flutter.embedding.engine.systemchannels

## Class SettingsChannel.MessageBuilder

- java.lang.Object
- - io.flutter.embedding.engine.systemchannels.SettingsChannel.MessageBuilder

- Enclosing class:
    SettingsChannel

      public static class SettingsChannel.MessageBuilder
      extends Object

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `send()` |
    `SettingsChannel.MessageBuilder` | `setBrieflyShowPassword​(boolean brieflyShowPassword)` |
    `SettingsChannel.MessageBuilder` | `setNativeSpellCheckServiceDefined​(boolean nativeSpellCheckServiceDefined)` |
    `SettingsChannel.MessageBuilder` | `setPlatformBrightness​(SettingsChannel.PlatformBrightness brightness)` |
    `SettingsChannel.MessageBuilder` | `setTextScaleFactor​(float textScaleFactor)` |
    `SettingsChannel.MessageBuilder` | `setUse24HourFormat​(boolean use24HourFormat)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### setTextScaleFactor

          @NonNull
          public SettingsChannel.MessageBuilder setTextScaleFactor​(float textScaleFactor)

    - #### setNativeSpellCheckServiceDefined

          @NonNull
          public SettingsChannel.MessageBuilder setNativeSpellCheckServiceDefined​(boolean nativeSpellCheckServiceDefined)

    - #### setBrieflyShowPassword

          @NonNull
          public SettingsChannel.MessageBuilder setBrieflyShowPassword​(@NonNull
                                                                       boolean brieflyShowPassword)

    - #### setUse24HourFormat

          @NonNull
          public SettingsChannel.MessageBuilder setUse24HourFormat​(boolean use24HourFormat)

    - #### setPlatformBrightness

          @NonNull
          public SettingsChannel.MessageBuilder setPlatformBrightness​(@NonNull
                                                                      SettingsChannel.PlatformBrightness brightness)

    - #### send

          public void send()